package com.aip.gateway.api.service.impl;

import com.aip.gateway.api.aip.model.AipLabel;
import com.aip.gateway.api.aip.model.AipTemplate;
import com.aip.gateway.api.model.response.GeneralResponse;
import com.aip.gateway.api.service.IApiAipService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

@Slf4j
@RequiredArgsConstructor
@Service
public class ApiAipService implements IApiAipService {

    @Override
    public GeneralResponse downloadAipInfo() {
        return null;
    }

    @Override
    public List<AipLabel> getLabels() {
        return null;
    }

    @Override
    public List<AipLabel> getPolicies() {
        return null;
    }

    @Override
    public List<AipTemplate> getProtections() {
        return null;
    }
}
